package com.alibaba.druid.sql.dialect.db2.ast.stmt;

import com.alibaba.druid.DbType;
import com.alibaba.druid.sql.ast.SQLStatementImpl;
import com.alibaba.druid.sql.dialect.db2.visitor.DB2ASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class DB2StartTransactionStatement extends SQLStatementImpl implements DB2SQLStatement {
   public DB2StartTransactionStatement() {
      super(DbType.greenplum);
   }

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor instanceof DB2ASTVisitor) {
         this.accept0((DB2ASTVisitor)visitor);
      }

   }

   public void accept0(DB2ASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }
}
